Get a record set
GET
/
cloud-dns
/
rrsets
/
records
Get a record set
curl --request GET \
--url https://api.aptranet.com/cloud-dns/rrsets/records \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-dns/rrsets/records"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-dns/rrsets/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-dns/rrsets/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"type": "A",
"ttl": 123,
"resource_records": [
{
"enabled": true,
"content": [
"<string>"
],
"id": 123,
"meta": {
"asn": [
123
],
"continents": [
"<string>"
],
"countries": [
"<string>"
],
"latlong": [
0,
0
],
"backup": true,
"notes": "<string>",
"weight": 1,
"ip": [
"<string>"
],
"default": true
}
}
],
"meta": {
"failover": {
"protocol": "HTTP",
"port": 32768,
"frequency": 2,
"timeout": 2,
"method": "<string>",
"command": "<string>",
"url": "<string>",
"tls": true,
"regexp": "<string>",
"http_status_code": 349,
"host": "<string>"
},
"geodns_link": "<string>"
},
"pickers": [
{
"type": "geodns",
"limit": 2,
"strict": true
}
],
"warning": "<string>",
"records": [
{
"enabled": true,
"content": [
"<string>"
],
"id": 123,
"meta": {
"asn": [
123
],
"continents": [
"<string>"
],
"countries": [
"<string>"
],
"latlong": [
0,
0
],
"backup": true,
"notes": "<string>",
"weight": 1,
"ip": [
"<string>"
],
"default": true
}
}
]
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}Authorizations
Access key beginning with APTRANET_.
Current secret paired with the access key.
Query Parameters
DNS zone identifier.
Required range:
x >= 1DNS record-set identifier.
Required range:
x >= 1Response
Record-set details and resource records.
Available options:
A, AAAA, CNAME, MX, TXT, NS, SRV, CAA, PTR, HTTPS, SVCB, DS Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Legacy alias for resource_records.
Show child attributes
Show child attributes
Get a record set
curl --request GET \
--url https://api.aptranet.com/cloud-dns/rrsets/records \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aptranet.com/cloud-dns/rrsets/records"
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Aptranet-Secret': '<api-key>'}
};
fetch('https://api.aptranet.com/cloud-dns/rrsets/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/cloud-dns/rrsets/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"name": "<string>",
"type": "A",
"ttl": 123,
"resource_records": [
{
"enabled": true,
"content": [
"<string>"
],
"id": 123,
"meta": {
"asn": [
123
],
"continents": [
"<string>"
],
"countries": [
"<string>"
],
"latlong": [
0,
0
],
"backup": true,
"notes": "<string>",
"weight": 1,
"ip": [
"<string>"
],
"default": true
}
}
],
"meta": {
"failover": {
"protocol": "HTTP",
"port": 32768,
"frequency": 2,
"timeout": 2,
"method": "<string>",
"command": "<string>",
"url": "<string>",
"tls": true,
"regexp": "<string>",
"http_status_code": 349,
"host": "<string>"
},
"geodns_link": "<string>"
},
"pickers": [
{
"type": "geodns",
"limit": 2,
"strict": true
}
],
"warning": "<string>",
"records": [
{
"enabled": true,
"content": [
"<string>"
],
"id": 123,
"meta": {
"asn": [
123
],
"continents": [
"<string>"
],
"countries": [
"<string>"
],
"latlong": [
0,
0
],
"backup": true,
"notes": "<string>",
"weight": 1,
"ip": [
"<string>"
],
"default": true
}
}
]
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}{
"error_code": "<string>",
"error": "<string>",
"error_description": "<string>",
"trace_id": "<string>"
}